This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 246034 - (CVE-2007-1665) CVE-2007-166{3,4,5} ekg denial of service vulnerabilities
CVE-2007-166{3,4,5} ekg denial of service vulnerabilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ekg (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
http://www.debian.org/security/2007/d...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 19:18 EDT by Lubomir Kundrak
Modified: 2009-09-21 17:53 EDT (History)
0 users

See Also:
Fixed In Version: 1.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 12:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix for three denial of service vulnerabilities in ekg (2.30 KB, text/x-patch)
2007-06-27 19:18 EDT, Lubomir Kundrak
no flags Details

  None (edit)
Description Lubomir Kundrak 2007-06-27 19:18:07 EDT
Description of problem:

Debian issued an update for ekg patching three denial of service issues,
one of them triggerable by malicious Gadu-Gadu user:

   * Patched three medium severity security issues in src/events.c:
     - CVE-2007-1663 A memory leak in handling image messages, which may cause
       memory exhaustion resulting in a DoS (ekg program crash). Exploitable by
       a hostile GG user.
     - CVE-2007-1664 off-by-one in token OCR function, which may cause a null
       pointer dereference resulting in a DoS (ekg program crash). Exploitable
       by MiTM (hostile HTTP proxy or TCP stream injection) or a hostile GG
       server.
     - CVE-2007-1665 potential memory exhaust in token OCR function, which may
       cause memory exhaustion resulting in a DoS (ekg program crash).
       Exploitable by MiTM (hostile HTTP proxy or TCP stream injection) or a
       hostile GG server. 

Version-Release number of selected component (if applicable):

ekg-1.7-0.4.rc2.fc7
Comment 1 Lubomir Kundrak 2007-06-27 19:18:08 EDT
Created attachment 158077 [details]
Fix for three denial of service vulnerabilities in ekg
Comment 2 Dominik 'Rathann' Mierzejewski 2007-06-29 20:10:56 EDT
Fixed and built (available in koji).
Comment 3 Fedora Update System 2007-07-02 12:09:50 EDT
ekg-1.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.